::-webkit-scrollbar {
    width: 0.7vw;
    height: 0.7vw;
}

/* Track */
::-webkit-scrollbar-track {
    background-color: var(--bg-postline-dark);
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: var(--bg-grey-light);
}

.navbar-brand {
    font-weight: 600;
}

*{
    box-sizing: border-box;
}

body 
{
    margin: 0;
    font-family: 'lato', sans-serif;
    overflow-x: hidden;
    min-height: 100vh;
    flex-direction: column;
    

    --text-white: #141414;
    --text-dark: aliceblue;
  
    --bg-grey: #141414;
    --bg-grey-light: #313131;
    --bg-white: aliceblue;
    --bg-blue-dark: #5505d6;
    --bg-line-dark: #202020;
    --bg-postline-dark:#1e1e1f;
  
 
    line-height: 1.7;
    background-color: var(--bg-grey);
}

#logo {
    width: 2.2rem;
    height: auto;
    display: inline-block;
}

#headerContainer {
    display: flex;
}

#headerTitle
{
    color: var(--text-dark);
    text-decoration: none;
    font-size: 1.2rem;
    padding-right: 1.2rem;
    font-weight: 800;
    font-family: 'lato', sans-serif;
    transition: 0.2s;
}

#headerTitle:hover
{
    color: #5505d6;
    transition: 0.2s;
}

.headerLine {
    height: 3.2rem;
    line-height: 3.2rem;
    display: flex;
    flex: 25;
    align-items: center;
}

.headerLine a {
    color: var(--text-dark);
}


.trilho{
    width: 50px;
    height: 20px;
    background-color: #5505d6;
    border-radius: 150px;
    position:relative;
    margin-right: 20px;
    top:0.9rem;

}

.trilho .indicador{
    width: 20px;
    height: 20px;
    background-color: #090909;
    border-radius: 50%;
    transform: scale(.9);
    position: absolute;
    left: 0;
    
}

.trilho.dark{
    background-color: #5505d6;
}
.trilho.dark .indicador{
    left: 30px;
    background-color: #fff;

}

.dark {
    --text-white: aliceblue;
    --text-dark: #000000;
    --bg-grey: aliceblue;
    --bg-white: #000000;
    --bg-grey-light: #b1b1b1;
    --bg-line-dark: #adacac;
    --bg-postline-dark: #cbc9cf;
}

.headerText {
    color: aliceblue;
    text-decoration: none;
    display: inline-block;
    font-size: 1.1rem;
    font-weight: bold;
    padding-left: 1.2rem;
    padding-right: 1.2rem;
    font-family: 'lato', sans-serif;
    transition: 0.2s;
}

.headerText:hover {
    color: #5505d6;
    transition: 0.2s;
}

.header-icon {
    height: 2.5rem;
    width: 2.5rem;
    border: 3px solid #5505d6;
}

.colorLine {
    flex: 1;
    height: 3.2rem;
    align-items: center;
    justify-content: center;
    display: flex;
}

.colorTop {
    background-color: #5505d6;
    height: 0.2rem;
}

#sectionDesc {
    height: 8rem;
}


#containerDesc 
{
    border: 0.14rem solid;
    border-color: rgb(115, 115, 118);
    margin-top: 4rem;
    margin-bottom: 4rem;
    height: 9.5rem;
    font-size: 0.9rem;
    overflow: auto;
}

#descTitle {
    color: var(--text-dark);
    margin-bottom: 0.7rem;
    margin-top: 0.2rem;
    font-size: 1.6rem;
    font-weight: 600;
    font-family: 'Rubik';
}

#descText {
    color: var(--text-dark);
}

#sectionCom {
    margin-top: 3rem;
    margin-bottom: 4rem;
    height: 20.5rem;
    width: 100%;
}

#comTitle {
    color: var(--text-dark);
    margin-top: 1rem;
    padding-top: 1rem;
    margin-left: 2rem;
    font-size: 1.2rem;
    font-weight: 600;
    font-family: 'Rubik';
}

#gridComun {
    display: grid;
    grid-auto-flow: column dense;
    width: 100%;
    height: 21rem;
    display: flex;
    align-items: center;
    overflow-x: scroll;
    overflow-y: hidden;
}

.comunPag {
    min-height: 16rem;
    width: 26rem;
    padding: 0.8rem;
    margin-left: 1.2rem;
    margin-top: 2rem;
    margin-bottom: 3.6rem;
    position: relative;
    transition: 0.2s;
}

.comunPag:hover {
    transform: scale(105%);
    transition: 0.2s;
}

.card-img {
    display: block;
    width: 26rem;
    height: 16rem;
    background-color: #141414;
}

.card-img img {
    display: block;
    opacity: 0.5;
    width: 26rem;
    height: 16rem;
    object-fit: cover;
    -webkit-filter: blur(3px); 
    -moz-filter: blur(3px); 
    -o-filter: blur(3px); 
    -ms-filter: blur(3px); 
    filter: blur(3px);
}

.card-element {
    color: aliceblue;
    position: absolute;
    left: 1.7rem;
}

.card-title {
    color: aliceblue;
    font-size: 1.6rem;
    font-weight: 600;
    font-family: 'Rubik';
    top: 11rem;
    width: 24rem;
    overflow: hidden;
    display: inline-block;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.card-text {
    color: aliceblue;
    margin-bottom: 1rem;
    margin-top: 1rem;
    font-size: 1rem;
    top: 13rem;
    width: 24rem;
    overflow: hidden;
    display: inline-block;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.card-user {
    color: aliceblue;
    margin-bottom: 1rem;
    margin-top: 1rem;
    font-size: 1rem;
    top: 8rem;
    left: 4.4rem;
    width: 12rem;
    overflow: hidden;
    display: inline-block;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.card-user:hover
{
    color: #5505d6;
    transition: 0.2s;
}

.card-icon {
    top: 8rem;
    height: 2.5rem;
    width: auto;
    transition: 0.2s;
}

.post-components 
{
    text-decoration: none;
    width: 100%;
}

#sectionPost 
{
    width: 100%;
    max-width: 100%;
    min-height: 22rem;
    margin-bottom: 4rem;
    text-decoration: none;
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
}

#secPosts
{
    width: 100%;
}

#post-topline 
{
    width: 75rem;
    max-width: 95%;
    margin-top: 0.6rem;
    margin-bottom: 3.5rem;
    margin-left: auto;
    margin-right: auto;
    height: .2rem;
    text-decoration: none;
}

#post-topline p 
{
    font-size: 1.1rem;
    color: var(--text-dark);
    text-decoration: none;
    margin-bottom: 0;
    margin-left: 0.4rem;
    line-height: 3.5rem;
    font-family: 'Rubik';
    font-weight: 500;
}

.post-line 
{
    width: 54rem;
    height: .2rem;
    background-color: var(--text-dark);
    margin-left: 1.8rem;
    max-width: 95%;
    text-decoration: none;
}

.comunPost 
{
    height: auto;
    min-height: 12rem;
    width: 75rem;
    margin-left: auto;
    margin-right: auto;
    padding-top: 1rem;
    padding-bottom: 1rem;
    position: relative;
    display: flex;
    flex-direction: column;
    transition: 0.2s;
    text-decoration: none;
    max-width: 95%;
}

.comunPost:hover {
    background-color: var(--bg-postline-dark);
    transition: 0.2s;
}

.post-element {
    color: var(--text-dark);
    margin-left: 0.5rem;
    text-decoration: none;
}

.post-gametitle {
    color: var(--text-dark);
    font-size: 1.5rem;
    font-weight: 600;
    font-family: 'Rubik';
    width: 65rem;
    max-width: 95%;
}

.post-title {
    color: var(--text-dark);
    font-size: 1.4rem;
    font-weight: 500;
    font-family: 'Rubik';
    width: 65rem;
    max-width: 95%;
}

.post-text {
    color: var(--text-dark);
    margin-bottom: 0.8rem;
    margin-top: 0.5rem;
    font-size: 1rem;
    width: 72rem;
    max-width: 95%;
    text-align: justify;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
    max-height: 5rem;
    line-height: 1.6rem;
}

.post-userline {
    display: flex;
    align-items: center;
    justify-content: left;
}

.post-user {
    color: var(--text-dark);
    margin-top: 0.4rem;
    margin-left: 0.5rem;
    font-size: 1rem;
    cursor: pointer;
    transition: 0.2s;
}

.post-user:hover
{
    color: #5505d6;
    transition: 0.2s;
}

.post-data {
    color: var(--text-dark);
    margin-bottom: 0.5rem;
    margin-top: 1rem;
    margin-left: 0.5rem;
    font-size: 1rem;
}

.post-icon {
    height: 2.5rem;
    width: 2.5rem;
    transition: 0.2s;
}

.post-link 
{
    text-decoration: none;
}

.like
{
    width: 1rem;
    margin-left: 0.4rem;
    color: rgba(85, 5, 214);
    text-align: center;
    align-items: center;
    transform: scale(150%);
}

.post-likes
{
    text-align: right;
    text-decoration: none;
    font-size: 0.8rem;
    font-weight: 300;
    margin-right: 0.8rem;
    color: var(--text-dark);
}

#tabdesc2 
{
    display: flex;
    align-items: top;
    margin-bottom: 1rem;
    min-width: 100%;
    justify-content: center;
}

#Ver-mais 
{
    border-bottom: 2px var(--bg-grey-light) solid;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#Ver-mais p 
{
    font-size: 1.1rem;
    color: var(--text-dark);
    text-decoration: none;
    margin-right: 0.5rem;
    font-family: 'Rubik';
    font-weight: 500;
    margin-top: 0.75rem;
}

#divBusca 
{
    border: solid 2px #5505d6;
    border-radius: 0.6rem;
    width: 14rem;
    height: 2rem;
    margin-bottom: 0.5rem;
    margin-left: 0.5rem;
    margin-right: 1rem;
}

#txtBusca 
{
    background-color: transparent;
    color: var(--text-dark);
    font-size: 1rem;
    border: none;
    height: 2rem;
    width: 13.5rem;
    outline: none;
}


#divBusca img {
    float: right;
    width: 1.5rem;
    height: 1.5rem;
}


#list-group 
{
    background-color: var(--bg-grey);
    width: 100%;
    margin-top: 1rem;
    height: auto;
    max-width: 100%;
    display:flex;
    flex-direction: row;
    padding: 0;
}

.list-group-item 
{
    height: 2rem;
    margin-left: 0.4rem;
    margin-right: 0.4rem;
    color: var(--text-dark);
}

.list-group-item:hover {
    background-color: var(--bg-grey-light);
}

input [type="radio"]:checked::before
{
    background-color: #5505d6;
    
}

input[type="radio"] 
{
    border: 2px solid #5505d6;
    background-color: var(--bg-grey);
}

@media screen and (max-width: 65rem) 
{
    #headerTitle
    {
        display: none;
    }
    #logo
    {
        width: 1.8rem;
    }
    .headerText
    {
        padding-left: 0.4rem;
        padding-right: 0.4rem;
    }
    #containerDesc
    {
        height: 12rem;
    }
    #sectionDesc
    {
        height: 12.5rem;
    }
    #sectionCom
    {
        margin-top: 0.5rem;
        padding-left: 0rem;
    }
}

@media screen and (max-width: 50rem) 
{
    #divBusca
    {
        display: none;
    }
    #Ver-mais p
    {
        display: none;
    }
}

footer {
    padding-left: 2rem;
    padding-right: 2rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    background: #090909
}

footer p {
    width: 60rem;
    max-width: 90%;
    text-decoration: none;
    color: aliceblue;
    font-size: 1rem;
    font-family: 'lato', sans-serif;
    font-weight: lighter;
    letter-spacing: 0.05rem;
    line-height: 1.2rem;
    text-align: left;
    position: relative;
    margin-top: 4.4rem;
    left: 0.3rem;
}

footer img {
    width: 8rem;
    position: absolute;
}
